SWFieldManagerInternal::FieldPageNumber Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
SWFieldManagerInternal::FieldPageNumber Struct Referencefinal

Internal: a pageNumber field. More...

Inheritance diagram for SWFieldManagerInternal::FieldPageNumber:

## Public Member Functions
| FieldPageNumber ()
| constructor More...
| FieldPageNumber (Field const &orig)
| copy constructor More...
| ~FieldPageNumber () final
| destructor More...
bool | send (STOFFListenerPtr &listener, StarState &state) const final
| add to send the zone data More...
void | print (std::ostream &o) const final
| print a field More...
Public Member Functions inherited from SWFieldManagerInternal::Field
| Field ()
| constructor More...
virtual | ~Field ()
| destructor More...

## Public Attributes
librevenge::RVNGString | m_userString
| the userString More...
int | m_offset
| the offset More...
bool | m_isOn
| a flag to know if isOn More...
Public Attributes inherited from SWFieldManagerInternal::Field
int | m_type
| the field type More...
int | m_subType
| the subtype More...
int | m_format
| the field format More...
librevenge::RVNGString | m_name
| the name More...
librevenge::RVNGString | m_content
| the content More...
librevenge::RVNGString | m_textValue
| the value text More...
double | m_doubleValue
| double More...
int | m_level
| the chapter level More...

## Additional Inherited Members
Protected Member Functions inherited from SWFieldManagerInternal::Field
| Field (const Field &)=default
| copy constructor More...

## Detailed Description

Internal: a pageNumber field.

## Constructor & Destructor Documentation

## ◆ FieldPageNumber() [1/2]

SWFieldManagerInternal::FieldPageNumber::FieldPageNumber | ( |  | ) |
| inline

constructor

## ◆ FieldPageNumber() [2/2]

SWFieldManagerInternal::FieldPageNumber::FieldPageNumber | ( | Field const & | orig | ) |
| inlineexplicit

copy constructor

## ◆ ~FieldPageNumber()

SWFieldManagerInternal::FieldPageNumber::~FieldPageNumber | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ print()

void SWFieldManagerInternal::FieldPageNumber::print | ( | std::ostream & | o | ) | const
| inlinefinalvirtual

print a field

Reimplemented from SWFieldManagerInternal::Field.

## ◆ send()

bool SWFieldManagerInternal::FieldPageNumber::send | ( | STOFFListenerPtr & | listener,
|  | StarState & | state
| ) |  | const
| finalvirtual

add to send the zone data

Reimplemented from SWFieldManagerInternal::Field.

## Member Data Documentation

## ◆ m_isOn

bool SWFieldManagerInternal::FieldPageNumber::m_isOn

a flag to know if isOn

Referenced by print().

## ◆ m_offset

int SWFieldManagerInternal::FieldPageNumber::m_offset

the offset

Referenced by print(), and send().

## ◆ m_userString

librevenge::RVNGString SWFieldManagerInternal::FieldPageNumber::m_userString

the userString

Referenced by print().

The documentation for this struct was generated from the following file:

- SWFieldManager.cxx